import Vue from 'vue'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import App from './App.vue'
import router from './router'
import store from './store'

Vue.config.productionTip = false


import './assets/styles/software.scss';


// import API from '@/service/api.js'
let Base64 = require('js-base64').Base64;
// Vue.prototype.$api = API;

Vue.use(ElementUI);
Vue.use(Base64);

import i18n from './i18n'

new Vue({
  i18n,
  router,
  store,
  data: function () {
    return {
      adminToken: ''
    }
  },
  render: h => h(App)
}).$mount('#app')
